=== debian/changelog ===
moleinvasion (0.4-1) unstable; urgency=low

  * Initial release (Closes: #356822)

 -- Guillaume Chambraud <linuxprocess@free.fr>  Fri, 06 Jun 2008 22:00:31 +0200
