=== debian/control ===
Source: moleinvasion
Section: games
Priority: optional
Maintainer: Guillaume Chambraud <linuxprocess@free.fr>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.7.3
Homepage: http://moleinvasion.tuxfamily.org/

Package: moleinvasion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, moleinvasion-data (>= 0.4)
Recommends: libsmpeg0
Description: Jump'n run game with Tux
 This is a classic jump.n run game where Tux must deal with Moles.
 

Package: moleinvasion-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, moleinvasion (>= 0.4)
Description: Levels,sounds and musics for the jump'n run game with Tux
 This is a classic jump.n run game where Tux must deal with Moles.
 This is the game data.
